var chanh = require('chanh');
var masterMasterPlugin = require('chanh-master-master-plugin');
var dbConnectorPlugin = require('chanh-db-connector-plugin');
var app = chanh.createApp();
app.set('name', '$');

app.configure('production|development', function () {
    if (app.isMaster()) {
        app.use(masterMasterPlugin.masterMaster, {
            masterMaster: {
                sioMasterMaster: '10.3.12.69:6666',
                sioMasterLocal: '127.0.0.1:5555'
            }
        });
    } else {
        app.use(masterMasterPlugin.masterServer, {
            masterLocal:{
                sioMasterLocal: '127.0.0.1:5555'
            }
        });
    }
    var opts = {};
    opts.sioPort = '10.3.31.141:9669';
    app.load(dbConnectorPlugin, opts);
});

app.configure('production|development', 'connector', function () {
    app.set('connectorConfig',
        {
            connector: chanh.connectors.hybridconnector,
            heartbeat: 3,
            useDict: true,
            useProtobuf: false
        });
    app.set('proxyConfig',
        {
            routerType: "la"
        });
});

// start app
app.start();

process.on('uncaughtException', function (err) {
    console.error(' Caught exception: ' + err.stack);
});